## pykerberos-1.2.1.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(pykerberos)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_VERBOSE_MAKEFILE ON)
include_directories(/usr/include/python2.6 SYSTEM)
#include_directories(/usr/include/python3.5m SYSTEM)
set(SOURCE_FILES
        src/base64.c
        src/base64.h
        src/kerberos.c
        src/kerberosbasic.c
        src/kerberosbasic.h
        src/kerberosgss.c
        src/kerberosgss.h
        src/kerberospw.c
        src/kerberospw.h)


add_library(kerberos SHARED ${SOURCE_FILES})
set_target_properties(kerberos PROPERTIES PREFIX "")
target_link_libraries(kerberos gssapi_krb5 krb5 k5crypto com_err)
unset(GSSAPI_EXT)

=== debian/changelog ===
pykerberos (1.1.11-1) unstable; urgency=low

  * Remove reference to undefined popenargs variable
  * Address endless loop in case neither krb5-config nor krb5-config.mit are found
  * Don't free stack allocated buffer #15
  * replace explicit client credentials to gss_init_sec_context

 -- Stefan Richter <stefan@02strich.de) Sun, 29 May 2016 15:00:00 -0700

pykerberos (1.1.8-1) unstable; urgency=low

  * Fixing kerberos version number parsing

 -- Stefan Richter <stefan@02strich.de>  Sun, 23 Aug 2015 17:04:02 -0700

pykerberos (1.1.6-1) unstable; urgency=low

  * Add KDC verification support

 -- Stefan Richter <stefan@02strich.de>  Sun, 17 May 2015 17:04:02 -0700

pykerberos (1.1.2+DSE1-1) unstable; urgency=low

  * Fix SASL QOP negotiation (katriana@datastax.com)

 -- Ben Gamble <bgamble@datastax.com>  Thu, 31 Jan 2013 11:26:46 +0000

pykerberos (1.1.1-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0+git

 -- Ben Gamble <bgamble@datastax.com>  Tue, 06 Nov 2012 19:48:39 +0000

=== debian/control ===
Source: pykerberos
Maintainer: Stefan Richter <stefan@02strich.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python, libkrb5-dev, python-all-dev, python3-all-dev
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6

Package: python-pykerberos
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Kerberos high-level interface
 This Python package is a high-level wrapper for Kerberos (GSSAPI)
 operations.  The goal is to avoid having to build a module that wraps the
 entire Kerberos.framework, and instead offer a limited set of functions
 that do what is needed for client/server Kerberos authentication based
 on <http://www.ietf.org/rfc/rfc4559.txt>.

Package: python3-pykerberos
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Kerberos high-level interface
 This Python package is a high-level wrapper for Kerberos (GSSAPI)
 operations.  The goal is to avoid having to build a module that wraps the
 entire Kerberos.framework, and instead offer a limited set of functions
 that do what is needed for client/server Kerberos authentication based
 on <http://www.ietf.org/rfc/rfc4559.txt>.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do $$python setup.py build; done;

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; done;
